#include <stdio.h>
#include <stdlib.h>

// FRILENSERI

void procenat(long *A, double *P, long N)
{
    long max = 0;
    double *novac;
    novac = (double*)calloc(N, sizeof(double));

    for (long i = 0; i < N; i++)
    {
        for (long j = 0; j < N; j++)
        {
            if (*(P + j) >= *(P + i)) *(novac + i) += *(A + j);
        }
        *(novac + i) = *(novac + i) * (*(P + i) / 100);
    }

    for (long i = 0; i < N; i++)
    {
        if (*(novac + i) > *(novac + max)) max = i;
    }

    printf("%llf", *(novac + max));
}

int main()
{
    long N, *A;
    double *P, max;
    scanf("%ld",&N);
    A = (long*)malloc(N * sizeof(long));
    P = (double*)malloc(N * sizeof(double));
    for (long i = 0; i < N; i++)
    {
        scanf("%ld",A + i);
        scanf("%lf",P + i);
    }
    procenat(A,P,N);
}